package cz.moneta.test.dsl.util.task.ufo.operations;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.operations.client.clientDetail.STS701_S002_ClientDetailPage;

import java.util.function.Function;

public class BankBackOfficeTasks {

    private final Harness harness;

    public BankBackOfficeTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<STS701_S002_ClientDetailPage, STS701_S002_ClientDetailPage> setVipExchangeRateList() {
        return start -> start
                .clickAccountBenefits()
                .clickVipExchangeRateList()
                .clickVipExchangeRateListCheckbox()
                .setVipExchangeRateList()
                .onPrintTemplatePage()
                .clickSaveToDmsIfNotChecked()
                .clickSend()
                .onClientDetailPage();
    }

    public Function<STS701_S002_ClientDetailPage, STS701_S002_ClientDetailPage> removeVipExchangeRateList() {
        return start -> start
                .clickAccountBenefits()
                .clickVipExchangeRateList()
                .clickVipExchangeRateListCheckbox()
                .setVipExchangeRateList()
                .onClientDetailPage();
    }
}